'''
'''
from datetime import datetime
import decimal
from basesoft.web.contrib.order.soap import register_soap_functions as iqportal_order_functions

from basesoft.web.contrib.soap.args import _types

# Declaration Data
from we.order.controllers import WeDeclarationOrderController

DeclarationLineDataDict = {
    0: 'DeclarationLineDataDict',
    'position': int,
    'local_category': str,
    'quantity': int,
    'weight': decimal.Decimal,
    'created': datetime,
    'last_updated': datetime,
    'properties': [_types.KeyValueDict],
}

DeclarationDataDict = {
    0: 'DeclarationDataDict',
    'id': int,
    'lpp_relation_id': str, # str until we find out what is this exactly
    'invoice_company_relation_id': str,
    'year': int,
    'month': int,
    'quarter': int,
    'bi-annual': int,
    'lines': [DeclarationLineDataDict],
    'created': datetime,
    'last_updated': datetime,
    'properties': [_types.KeyValueDict],
}

def register_soap_functions(server):

    iqportal_order_functions(server, WeDeclarationOrderController)
